MSGUNIQ(1)

NOM
msguniq — Fusionner les doublons de traductions dans un catalogue de messages

SYNOPSIS
msguniq [OPTION] [FICHIER_ENTRÉE]

DESCRIPTION

Cet utilitaire permet de fusionner les traductions en plusieurs exemplaires dans un catalogue de traductions. Pour ce faire, il recherche les traductions possédant le même ID de message. De tels doublons constituent des entrées non valables pour d’autres programmes comme msgfmt(1), msgmerge(1) ou msgcat(1). Par défaut, les doublons sont fusionnés. Si l’on spécifie l’option --repeated, seuls les doublons sont affichés, tous les autres messages étant supprimés de la sortie. Les commentaires normaux et extraits sont cumulés, sauf si l’option --use-first est spécifiée, auquel cas seuls ceux de la première traduction sont conservés. Les positions dans le fichier sont cumulées. Si l’on spécifie l’option --unique, les doublons sont supprimés de la sortie.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

FICHIER_ENTRÉE
    fichier PO d'entrée

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si aucun fichier d'entrée n'est indiqué ou si c'est « - », c'est l'entrée standard qui est lue.

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est « - ».

  Sélection de messages :

-d, --repeated
    n’afficher que les doublons

-u, --unique
    n’afficher que les messages uniques, supprimer les doublons

  Syntaxe du fichier d'entrée :

-P, --properties-input
    le fichier d'entrée a la syntaxe .properties de Java

--stringtable-input
    le fichier d'entrée a la syntaxe .strings de NeXTstep/GNUstep

  Présentation de la sortie :

-t, --to-code=NOM
    encodage de la sortie

--use-first
    utiliser la première traduction disponible de chaque message, ne pas fusionner plusieurs traductions.

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (comportement par défaut)

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide

-i, --indent
    écrire le fichier .po en utilisant le style indenté

--no-location
    ne pas écrire les lignes « #: nom_fichier:ligne »

-n, --add-location
    générer les lignes « #: nom_fichier:ligne » (comportement par défaut)

--strict
    écrire un fichier .po strictement conforme au format Uniforum

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

-s, --sort-output
    générer une sortie triée

-F, --sort-by-file
    trier la sortie par emplacement de fichier

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2025 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msguniq est disponible dans un manuel Texinfo. Si les programmes info et msguniq sont correctement installés, la commande

    info msguniq

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.